Skip to main content
GET
Get a webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string<uuid>
required

Webhook ID

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Response

Webhook

Webhook object

enabled_events
enum<string>[]
required

A list of the events that will trigger the webhook. Subscribing to a wildcard event, e.g. ACCOUNT.*, will send all webhooks for all events that match that pattern. Note that this can include new event types added after the subscription was created.

Available options:
ACCOUNT.*,
ACH.*,
APPLICATION.*,
BUSINESS.*,
CARD.*,
CASE.*,
CASH_PICKUP.*,
CREDIT_SCORE.*,
CRR.*,
CUSTOMER.*,
DOCUMENT.*,
DOCUMENT_VERIFICATION_SESSION.*,
EDD.*,
EXTERNAL_CARD.*,
EXTERNAL_CARD_TRANSFER.*,
INTEREST.*,
INTERNAL_TRANSFER.*,
NOTE.*,
PAYMENT_SCHEDULE.*,
PERSON.*,
RESOURCE_MAPPING.*,
SPEND_CONTROL.*,
STATEMENT.*,
TRANSACTION.*
is_enabled
boolean
required

Set the webhook to be enabled or disabled

url
string<uri>
required

URL that the webhook will send request to

Maximum string length: 1000
description
string

A description of what the webhook is used for

id
string<uuid>
read-only

The unique ID of the webhook

last_updated
string<date-time>
read-only

Timestamp that this webhook was created or the last time any field was changed

metadata
string

Additional information stored to the webhook

Maximum string length: 1024
tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"